Skip to content

Checkout a branch

POST
/v1/sandbox/{sandboxID}/git/checkout-branch

Switch to a different branch. Optionally create it if it doesn’t exist.

sandboxID
required
string

Unique sandbox identifier.

object
path
required

Path to the git repository.

string
branch
required

Branch name to checkout.

string
create

Create the branch if it doesn’t exist.

boolean

Branch checked out.

object
output
required

Command output text.

string
exit_code
required

Exit code of the git command.

integer format: int32

Bad request – validation error.

object
message
required

Summary message, e.g. “Invalid request”.

string
errors
required
Array<object>
object
field
required

JSON field name that failed validation (e.g. “path”, “command”).

string
error
required

Human-readable description of the validation failure.

string

Unauthorized – invalid or missing API key.

object
message
required

Human-readable error message.

string